设为首页收藏本站

追梦Linux

 找回密码
 立即注册

QQ登录

只需一步,快速开始

查看: 356|回复: 1

python pip安装第三方库报command 'x86_64-linux-gnu-gcc' failed

[复制链接]

482

主题

485

帖子

16万

积分

CEO

Rank: 9Rank: 9Rank: 9

积分
167821

最佳新人活跃会员热心会员推广达人宣传达人灌水之王突出贡献优秀版主荣誉管理论坛元老

QQ
发表于 2017-7-27 20:35:13 | 显示全部楼层 |阅读模式
ubuntu14系统,使用pip install 报错如下:

一般百度一搜不是让你安装gcc g++ 就是python-dev,但是各种试了,然并卵,终于寻得需要的一个完整依赖

ubuntu系列
[Bash shell] 纯文本查看 复制代码
apt-get install gcc g++  build-essential autoconf libtool pkg-config python-opengl python-imaging python-pyrex python-pyside.qtopengl idle-python2.7 qt4-dev-tools qt4-designer libqtgui4 libqtcore4 libqt4-xml libqt4-test libqt4-script libqt4-network libqt4-dbus python-qt4 python-qt4-gl libgle3 python-dev libssl-dev build-essential libssl-dev libffi-dev python-dev -y

装完这些依赖,保准没问题。

centos系列
[Bash shell] 纯文本查看 复制代码
yum install -y  gcc libffi-devel python-devel openssl-devel  mysql gcc* python-devel mysql-devel zlib-devel openssl-devel


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x

5

主题

9

帖子

1700

积分

CEO

Rank: 9Rank: 9Rank: 9

积分
1700
发表于 2017-11-18 18:08:12 | 显示全部楼层
666
回复

使用道具 举报

QQ|小黑屋|手机版|Archiver|追梦Linux ( 粤ICP备14096197号  点击这里给我发消息

GMT+8, 2018-10-21 13:29 , Processed in 0.342902 second(s), 33 queries .

Powered by 追梦Linux! X3.3 Licensed

© 2015-2017 追梦Linux!.

快速回复 返回顶部 返回列表